import type { Element, ElementContent, Root, Text } from 'hast';
export declare function syntaxHighlight(codeString: string, options?: {
    lang?: string;
    lineNumbers?: boolean;
}): Promise<string>;
export declare function isText(element?: ElementContent): element is Text;
export declare function isElement(node?: ElementContent): node is Element;
export declare function textElement(value: string): Text;
export declare function lineBreak(): Text;
/**
 * Adds lines to code blocks
 */
export declare function codeBlockLinesPlugin(): (tree: Root) => void;
//# sourceMappingURL=code.d.ts.map